ClassEmitterTransformer (cglib (Version 2.2.2))
Date: 2024-01-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.transform
Class ClassEmitterTransformer

    java.lang.Object
      org.objectweb.asm.ClassAdapter
          net.sf.cglib.core.ClassEmitter
              net.sf.cglib.transform.ClassEmitterTransformer

All Implemented Interfaces:
  ClassTransformer, org.objectweb.asm.ClassVisitor

Direct Known Subclasses:
  AccessFieldTransformer, AddDelegateTransformer, AddInitTransformer, AddPropertyTransformer, AddStaticInitTransformer, FieldProviderTransformer, InterceptFieldTransformer, UndeclaredThrowableTransformer

    public abstract class ClassEmitterTransformer

extends ClassEmitter
implements ClassTransformer

Constructor Summary
`ClassEmitterTransformer()`

Method Summary

Methods inherited from class net.sf.cglib.core.ClassEmitter
`begin_class, begin_method, begin_static, declare_field, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

Methods inherited from class org.objectweb.asm.ClassAdapter
`visitAnnotation, visitAttribute, visitInnerClass, visitOuterClass, visitSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.cglib.transform.ClassTransformer
`setTarget`

Methods inherited from interface org.objectweb.asm.ClassVisitor
`visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

Constructor Detail

### ClassEmitterTransformer

    public ClassEmitterTransformer()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation